### Method

# WebKit2WebExtension DOMDocument create_tree_walker

deprecated: 2.22

#### Declaration [src]

    WebKitDOMTreeWalker*
    webkit_dom_document_create_tree_walker (
      WebKitDOMDocument* self,
      WebKitDOMNode* root,
      gulong whatToShow,
      WebKitDOMNodeFilter* filter,
      gboolean expandEntityReferences,
      GError** error
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`root`

  Type: `WebKitDOMNode`

  A `WebKitDOMNode`.

  The data is owned by the caller of the function.

`whatToShow`

  Type: `gulong`

  A #gulong.

`filter`

  Type: `WebKitDOMNodeFilter`

  A `WebKitDOMNodeFilter`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`expandEntityReferences`

  Type: `gboolean`

  A #gboolean.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitDOMTreeWalker`

A `WebKitDOMTreeWalker`.

The caller of the method takes ownership of the data, and is responsible for freeing it.